### Method

# Vips Image eorimage_const

#### Declaration [src]

    int
    vips_eorimage_const (
      VipsImage* in,
      VipsImage** out,
      const double* c,
      int n,
      ...
    )

#### Description [src]

Perform `VIPS_OPERATION_BOOLEAN_EOR` on an image and an array of constants. See `vips_boolean_const()`.

See also

`vips_boolean()`, `vips_boolean_const1()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`c`

  Type: An array of `double`

  Array of constants.

  The length of the array is specified in the `n` argument.
  The data is owned by the caller of the method.

`n`

  Type: `int`

  Number of constants in `c`.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.